Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.email
Class Message

    java.lang.Object
      org.jbpm.process.workitem.email.Message

    public class Message

extends Object

Constructor Summary
`Message()`

Method Summary
`boolean` | `equals(Object obj)`
`List<String>` | `getAttachments()`
`String` | `getBody()`
`String` | `getDocumentFormat()`
`String` | `getFrom()`
`Recipients` | `getRecipients()`
`String` | `getReplyTo()`
`String` | `getSubject()`
`boolean` | `hasAttachment()`
`int` | `hashCode()`
`void` | `setAttachments(List<String> attachments)`
`void` | `setBody(String body)`
`void` | `setDocumentFormat(String documentFormat)`
`void` | `setFrom(String from)`
`void` | `setRecipients(Recipients recipients)`
`void` | `setReplyTo(String replyTo)`
`void` | `setSubject(String subject)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message()

Method Detail

### getRecipients

    public Recipients getRecipients()

### setRecipients

    public void setRecipients(Recipients recipients)

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### getDocumentFormat

    public String getDocumentFormat()

### setDocumentFormat

    public void setDocumentFormat(String documentFormat)

### getSubject

    public String getSubject()

### setSubject

    public void setSubject(String subject)

### getBody

    public String getBody()

### setBody

    public void setBody(String body)

### getAttachments

    public List<String> getAttachments()

### setAttachments

    public void setAttachments(List<String> attachments)

### hasAttachment

    public boolean hasAttachment()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.